## indigo 1.0.0

=== debian/changelog ===
indigo (1.0.0-2) unstable; urgency=low

  * debian/rules: Add python2 to dh modules (Closes: #671057).

 -- Michael Banck <mbanck@debian.org>  Fri, 04 May 2012 00:39:01 +0200

indigo (1.0.0-1) unstable; urgency=low

  * Initial release (Closes: #664975).

 -- Michael Banck <mbanck@debian.org>  Sat, 24 Mar 2012 02:02:50 +0100
