=== debian/control ===
Source: indigo
Section: science
Priority: extra
Maintainer: Debichem Team <debichem-devel@lists.alioth.debian.org>
Uploaders: Michael Banck <mbanck@debian.org>
Build-Depends: debhelper (>= 7.0.50~), javahelper, default-jdk, libjna-java, libcairo2-dev, libtinyxml-dev
Standards-Version: 3.9.2
Homepage: http://ggasoftware.com/opensource/indigo
Vcs-Browser: http://svn.debian.org/wsvn/debichem/unstable/indigo/
Vcs-Svn: svn://svn.debian.org/svn/debichem/unstable/indigo/

Package: indigo-utils
Architecture: any
Section: science
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Organic Chemistry Toolkit Utilities
 Indigo is a C++ based organic chemistry and cheminformatics software
 environment.  Features Include:
 .
  * Molecule and reaction rendering including SVG support
  * Automatic layout for SMILES-represented molecules and reactions
  * Canonical (isomeric) SMILES computation
  * Exact matching, substructure matching, SMARTS matching
  * Matching of tautomers and resonance structures
  * Molecule fingerprinting, molecule similarity computation
  * Fast enumeration of SSSR rings, subtrees, and edge sugraphs
  * Molecular weight, molecular formula computation
  * R-Group deconvolution and scaffold detection
  * Computation of the exact maximum common substructure for an
    arbitrary amount of input structures
  * Combinatorial chemistry * Plugin support in the API 
 .
 File formats Indigo support include MDL Mol, SDF, RDF, CML, SMILES and
 SMARTS.
 . 
 This package contains the following utilities:
 .
  * indigo-depict
  * indigo-cano
  * indigo-deco
  * chemdiff

Package: libindigo0d
Architecture: any
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Organic Chemistry Toolkit
 Indigo is a C++ based organic chemistry and cheminformatics software
 environment.  Features Include:
 .
  * Molecule and reaction rendering including SVG support
  * Automatic layout for SMILES-represented molecules and reactions
  * Canonical (isomeric) SMILES computation
  * Exact matching, substructure matching, SMARTS matching
  * Matching of tautomers and resonance structures
  * Molecule fingerprinting, molecule similarity computation
  * Fast enumeration of SSSR rings, subtrees, and edge sugraphs
  * Molecular weight, molecular formula computation
  * R-Group deconvolution and scaffold detection
  * Computation of the exact maximum common substructure for an
    arbitrary amount of input structures
  * Combinatorial chemistry * Plugin support in the API 
 .
 File formats Indigo support include MDL Mol, SDF, RDF, CML, SMILES and
 SMARTS.

Package: libindigo-dev
Architecture: any
Section: libdevel
Depends: ${shlibs:Depends}, ${misc:Depends}, libindigo0d
Description: Organic Chemistry Toolkit (development files)
 Indigo is a C++ based organic chemistry and cheminformatics software
 environment.  Features Include:
 .
  * Molecule and reaction rendering including SVG support
  * Automatic layout for SMILES-represented molecules and reactions
  * Canonical (isomeric) SMILES computation
  * Exact matching, substructure matching, SMARTS matching
  * Matching of tautomers and resonance structures
  * Molecule fingerprinting, molecule similarity computation
  * Fast enumeration of SSSR rings, subtrees, and edge sugraphs
  * Molecular weight, molecular formula computation
  * R-Group deconvolution and scaffold detection
  * Computation of the exact maximum common substructure for an
    arbitrary amount of input structures
  * Combinatorial chemistry
  * Plugin support in the API
 .
 File formats Indigo support include MDL Mol, SDF, RDF, CML, SMILES and
 SMARTS.
 .
 This package contains the static libary and header files.

Package: python-indigo
Architecture: all
Section: python
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, libindigo0d
Description: Organic Chemistry Toolkit (python module)
 Indigo is a C++ based organic chemistry and cheminformatics software
 environment.  Features Include:
 .
  * Molecule and reaction rendering including SVG support
  * Automatic layout for SMILES-represented molecules and reactions
  * Canonical (isomeric) SMILES computation
  * Exact matching, substructure matching, SMARTS matching
  * Matching of tautomers and resonance structures
  * Molecule fingerprinting, molecule similarity computation
  * Fast enumeration of SSSR rings, subtrees, and edge sugraphs
  * Molecular weight, molecular formula computation
  * R-Group deconvolution and scaffold detection
  * Computation of the exact maximum common substructure for an
    arbitrary amount of input structures
  * Combinatorial chemistry
  * Plugin support in the API
 .
 File formats Indigo support include MDL Mol, SDF, RDF, CML, SMILES and
 SMARTS.
 .
 This package contains the python modules.

Package: libindigo-java
Architecture: all
Section: java
Depends: ${shlibs:Depends}, ${misc:Depends}, ${java:Depends}, libindigo0d
Description: Organic Chemistry Toolkit (Java package)
 Indigo is a C++ based organic chemistry and cheminformatics software
 environment.  Features Include:
 .
  * Molecule and reaction rendering including SVG support
  * Automatic layout for SMILES-represented molecules and reactions
  * Canonical (isomeric) SMILES computation
  * Exact matching, substructure matching, SMARTS matching
  * Matching of tautomers and resonance structures
  * Molecule fingerprinting, molecule similarity computation
  * Fast enumeration of SSSR rings, subtrees, and edge sugraphs
  * Molecular weight, molecular formula computation
  * R-Group deconvolution and scaffold detection
  * Computation of the exact maximum common substructure for an
    arbitrary amount of input structures
  * Combinatorial chemistry
  * Plugin support in the API
 .
 File formats Indigo support include MDL Mol, SDF, RDF, CML, SMILES and
 SMARTS.
 .
 This package contains the Java packages.
