=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

#export DH_VERBOSE=1

export JAVA_HOME=/usr/lib/jvm/default-java
export CLASSPATH=/usr/share/java/jna.jar:$(CURDIR)/indigo-1.0.0.jar:$(CURDIR)/indigo-renderer-1.0.0.jar:$(CURDIR)/common-controls-1.0.0.jar

%:
	dh $@  --with javahelper --with python2

override_dh_auto_clean:
	find . -type d -name "build" | grep -v cairo-src |  xargs rm -rf 
	find . -type d -name "dist" | xargs rm -rf 
	find . -name ".dep.inc" | xargs rm -f
	rm -f $(CURDIR)/*.jar
	dh_auto_clean

override_dh_auto_build:
	(cd api && $(MAKE) CONF=DebugStatic)
	(cd api/renderer && $(MAKE) CONF=DebugStatic)
	(cd api && $(MAKE) CONF=DebugShared)
	(cd api/renderer && $(MAKE) CONF=DebugShared)
	(cd utils/indigo-cano && $(MAKE))
	(cd utils/indigo-deco && $(MAKE))
	(cd utils/indigo-depict && $(MAKE))
	dh_auto_build

override_dh_auto_install:
	dh_installdirs
	install $(CURDIR)/api/dist/*/*/libindigo.so 				\
		debian/libindigo0d/usr/lib/libindigo.so.0d
	install $(CURDIR)/api/renderer/dist/*/*/libindigo-renderer.so 		\
		debian/libindigo0d/usr/lib/libindigo-renderer.so.0d
	mkdir -p debian/python-indigo/usr/lib/`pyversions -d`/dist-packages
	install $(CURDIR)/api/python/*.py $(CURDIR)/api/renderer/python/*.py	\
		debian/python-indigo/usr/lib/`pyversions -d`/dist-packages
	install $(CURDIR)/utils/chemdiff/chemdiff.sh				\
		debian/indigo-utils/usr/bin/chemdiff
	dh_auto_install
