## indigo 1.1.11

=== debian/changelog ===
indigo (1.1.11-2) unstable; urgency=low

  [ Daniel Leidert ]
  * debian/javabuild, debian/libindigo-java.jlibs, debian/rules: Removed
    upstream version from jars - handled by javahelper itself.
  * debian/patches/718689_gcc_architecture_flags.patch: Added.
    - Only apply GCC flags -m32/-m64 to architectures which support them
      and don't include the GCC hack on kfreebsd-amd64 (closes: #718689.
  * debian/patches/series: Adjusted.

 -- Debichem Team <debichem-devel@lists.alioth.debian.org>  Sun, 04 Aug 2013 20:56:28 +0200

indigo (1.1.11-1) unstable; urgency=low

  * New upstream release.
    - Uses Hill convention for GrossFormula function (closes: #690275).

  [ Daniel Leidert ]
  * debian/control (Standards-Version): Bumped to 3.9.4.
    (Build-Depends): Added python (closes: #713767). Added autotools-dev,
    libfreetype6-dev and libpng12-dev.
    (Vcs-Browser, Vcs-Svn): Fixed vcs-field-not-canonical.
    (Section): Fixed duplication of sections.
    (Depends): Fixed weak-library-dev-dependency. Hardened dependency of
    python-indigo and libindigo-java to libindigo0d.
    (Description): Fixed typos.
  * debian/libindigo0d.dirs, debian/libindigo-dev.dirs: Dropped.
  * debian/libindigo0d.install: Added libraries.
  * debian/libindigo-dev.install: Added libraries.
  * debian/libindigo0d.lintian-overrides: Added to override
    package-name-doesnt-match-sonames.
  * debian/rules: Enabled hardening. Added autotools_dev addon.
    (override_dh_auto_configure): Added -DCMAKE_BUILD_TYPE and
    -DCMAKE_SKIP_RPATH to avoid setting RPATHs. Define missing library paths
    for system libraries.
    (override_dh_auto_install): Moved library installation to dh_install.
    (override_dh_makeshlibs): Dropped version. Better use -V only.
  * debian/README.source: Updated.
  * debian/patches/library_dir_and_name.patch: Updated.
    - Set the libraries SOVERSION to "0d" to fix inter-library linkages. Fixed
      some includes.

 -- Debichem Team <debichem-devel@lists.alioth.debian.org>  Sat, 03 Aug 2013 19:33:00 +0200

indigo (1.1.5-1) UNRELEASED; urgency=low

  * New upstream release.

  [ Michael Banck ]
  * debian/control (indigo-utils/Description): Add a one-line summary for
    every tool explaining its purpose.
  * debian/control (Build-Depends): Added cmake.
  * debian/rules: Overhauled for cmake and directory rearrangements.
  * debian/rules (CLASSPATH): Updated version numbers.
  * debian/libindigo-java.jlibs: Likewise.
  * debian/javabuild: Likewise.
  * debian/patches/makefile.patch: Removed, no longer needed.
  * debian/patches/java_wrappers.patch: Updated.
  * debian/patches/library_dir_and_name.patch: Likewise.
  * debian/indigo-utils.install: Updated for new cmake build directory.
  * debian/libindigo-dev.install: Likewise.
  * debian/libindigo-dev.dirs: New file.
  * debian/rules (override_dh_makeshlibs): New rule, set libindigo0d
    shlibs versioning information to ">= 1.1".
  * debian/control (python-indigo/Depends): Bump libindigo0d version to 1.1.
  * debian/control (libindigo-java/Depends): Likewise.

  [ Daniel Leidert ]
  * debian/watch: Added.

 -- Michael Banck <mbanck@debian.org>  Fri, 04 May 2012 01:13:03 +0200
