=== debian/control ===
--- 
+++ 
@@ -3,16 +3,25 @@
 Priority: extra
 Maintainer: Debichem Team <debichem-devel@lists.alioth.debian.org>
 Uploaders: Michael Banck <mbanck@debian.org>
-Build-Depends: debhelper (>= 7.0.50~), javahelper, default-jdk, libjna-java, libcairo2-dev, libtinyxml-dev
-Standards-Version: 3.9.2
+Build-Depends: autotools-dev (>> 20100122.1),
+               cmake,
+               debhelper (>= 7.0.50~),
+               default-jdk,
+               javahelper,
+               libcairo2-dev,
+               libfreetype6-dev,
+               libjna-java,
+               libpng12-dev,
+               libtinyxml-dev,
+               python (>= 2.6.6-3~)
+Standards-Version: 3.9.4
 Homepage: http://ggasoftware.com/opensource/indigo
-Vcs-Browser: http://svn.debian.org/wsvn/debichem/unstable/indigo/
-Vcs-Svn: svn://svn.debian.org/svn/debichem/unstable/indigo/
+Vcs-Browser: http://anonscm.debian.org/viewvc/debichem/unstable/indigo/
+Vcs-Svn: svn://anonscm.debian.org/debichem/unstable/indigo/
 
 Package: indigo-utils
 Architecture: any
-Section: science
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: Organic Chemistry Toolkit Utilities
  Indigo is a C++ based organic chemistry and cheminformatics software
  environment.  Features Include:
@@ -28,22 +37,22 @@
   * R-Group deconvolution and scaffold detection
   * Computation of the exact maximum common substructure for an
     arbitrary amount of input structures
-  * Combinatorial chemistry * Plugin support in the API 
+  * Combinatorial chemistry * Plugin support in the API
  .
  File formats Indigo support include MDL Mol, SDF, RDF, CML, SMILES and
  SMARTS.
- . 
+ .
  This package contains the following utilities:
  .
-  * indigo-depict
-  * indigo-cano
-  * indigo-deco
-  * chemdiff
+  * indigo-depict: Molecule and reaction rendering utility
+  * indigo-cano: Canonical SMILES generator
+  * indigo-deco: R-Group deconvolution utility
+  * chemdiff: Visual comparison of two SDF or SMILES files
 
 Package: libindigo0d
 Architecture: any
 Section: libs
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: Organic Chemistry Toolkit
  Indigo is a C++ based organic chemistry and cheminformatics software
  environment.  Features Include:
@@ -59,7 +68,7 @@
   * R-Group deconvolution and scaffold detection
   * Computation of the exact maximum common substructure for an
     arbitrary amount of input structures
-  * Combinatorial chemistry * Plugin support in the API 
+  * Combinatorial chemistry * Plugin support in the API
  .
  File formats Indigo support include MDL Mol, SDF, RDF, CML, SMILES and
  SMARTS.
@@ -67,7 +76,7 @@
 Package: libindigo-dev
 Architecture: any
 Section: libdevel
-Depends: ${shlibs:Depends}, ${misc:Depends}, libindigo0d
+Depends: libindigo0d (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
 Description: Organic Chemistry Toolkit (development files)
  Indigo is a C++ based organic chemistry and cheminformatics software
  environment.  Features Include:
@@ -89,13 +98,16 @@
  File formats Indigo support include MDL Mol, SDF, RDF, CML, SMILES and
  SMARTS.
  .
- This package contains the static libary and header files.
+ This package contains the static library and header files.
 
 Package: python-indigo
 Architecture: all
 Section: python
-Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, libindigo0d
-Description: Organic Chemistry Toolkit (python module)
+Depends: libindigo0d (>= ${source:Version}),
+         ${misc:Depends},
+         ${python:Depends},
+         ${shlibs:Depends}
+Description: Organic Chemistry Toolkit (Python module)
  Indigo is a C++ based organic chemistry and cheminformatics software
  environment.  Features Include:
  .
@@ -116,12 +128,15 @@
  File formats Indigo support include MDL Mol, SDF, RDF, CML, SMILES and
  SMARTS.
  .
- This package contains the python modules.
+ This package contains the Python modules.
 
 Package: libindigo-java
 Architecture: all
 Section: java
-Depends: ${shlibs:Depends}, ${misc:Depends}, ${java:Depends}, libindigo0d
+Depends: libindigo0d (>= ${source:Version}),
+         ${java:Depends},
+         ${misc:Depends},
+         ${shlibs:Depends}
 Description: Organic Chemistry Toolkit (Java package)
  Indigo is a C++ based organic chemistry and cheminformatics software
  environment.  Features Include:
